Subject: Re: what is /etc/.pwd.lock /etc/.mnt.lock?

From: [email-masked] (Chris McDonald UWA)
Date: 6 Oct 1993 20:58:31 +1000

[email-masked] (Pete Hartman) writes:

>In <[email-masked]> [email-masked] (Oon-Gil Paik) writes:
>>Hi, I just noticed  two dot files in /etc directory and I don't know
>>how they are created and what they are for. 

/etc/.mnt.lock is the newest mechanism by which it becomes impossible
to bring up a Solaris machine that has been transported between sites.
If for some reason this file exists on a read-only partition (such as /
when in single user mode), its being impossible to delete means that
the only way to change /etc/vfstab entries using the "toolset" in /sbin
to enable mounting of different file-systems from different machines is
to reinstall Solaris from CD (I'm no longer bitter about this as it
happened over a week ago and I've calmed down now).

chris.